#Module-Specific definitions
%define mod_name mod_ruby
%define mod_conf 20_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	1.3.0
%define subrel	1
Release:	%mkrel 2
Group:		System/Servers
License:	BSD
URL:		http://www.modruby.net/
Source0:	%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Patch0:		mod_ruby-build_fix.diff
BuildRequires:	ruby-devel
Requires:	ruby
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1

%description
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts
will start up much faster than without mod_ruby.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0

%__cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%__rm -f ./configure.rb
ruby ./autoconf.rb
ruby ./configure.rb \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-includes="`apr-1-config --includes|sed -e 's/-I//'`"

%make

%install
%__rm -rf %{buildroot}

%__install -d %{buildroot}%{_libdir}/apache
%__install -d %{buildroot}%{_libdir}/apache-extramodules
%__install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

%makeinstall_std

%__mv %{buildroot}%{_libdir}/apache/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules
%__install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

# fix weird stuff...
%__chmod 755 %{buildroot}%{_libdir}/apache-extramodules/%{mod_so}

%files
%doc ChangeLog COPYING README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_prefix}/lib/ruby



%changelog

* Sat Jul 07 2012 luigiwalser <luigiwalser> 1:1.3.0-2.1.mga2
+ Revision: 268688
- fix module configuration to work with systemd (mga #6714)
- httpd restart is handled by filetriggers now

* Thu Oct 27 2011 matteo <matteo> 1:1.3.0-1.mga2
+ Revision: 158486
- imported package apache-mod_ruby

